Subject: Re: [PATCH bpf 0/3] Restrict bpf_probe_read{,str}() and bpf_trace_printk()'s %s

From: Christoph Hellwig <[email-masked]>
Date: Thu, 14 May 2020 21:58:13 +0200

On Thu, May 14, 2020 at 09:54:06PM +0200, Daniel Borkmann wrote:
> On 5/14/20 6:58 PM, Christoph Hellwig wrote:
>> On Thu, May 14, 2020 at 06:16:04PM +0200, Daniel Borkmann wrote:
>>> Small set of fixes in order to restrict BPF helpers for tracing which are
>>> broken on archs with overlapping address ranges as per discussion in [0].
>>> I've targetted this for -bpf tree so they can be routed as fixes. Thanks!
>>
>> Does that mean you are targeting them for 5.7?
>
> Yes, it would make most sense to me based on the discussion we had in the
> other thread. If there is concern wrt latency we could route these to DaveM's
> net tree in a timely manner (e.g. still tonight or so).

I don't think we should rush this too much.  I just want to make sure
it either goes into 5.7 or that we have a coordinated tree that I can
base the maccess series on.